/***
 * 
 * Felipe Brahm
 * Ayudante de Ctedra
 * Introduccin a la Programacin - IIC1102 Seccin 4
 * Pontificia Universidad Catlica de Chile
 *
 * lebrahm <at> uc <punto> cl
 * ICQ#50566818
 *
 * (CC)2006
 * 
 * */

import iic1102Package.*;

public class Juego {

	Jugador j1;
	Jugador j2;
	
	public Juego(String nombre1, String nombre2) {
		
		j1 = new Jugador(nombre1);
		j2 = new Jugador(nombre2);
		
	}
	
	public static int getDado() {
		
		return(Tools.randomAB(1,30));
		
	}
	
	public void jugar(int x) {
		
		int dado = Juego.getDado();

		if(x == 1) {

			if(Juego.esPrimo(dado))
				j1.setPosicion(j1.getPosicion() - 30);
			else
				j1.setPosicion(j1.getPosicion() + dado);

		} else {

			if(Juego.esPrimo(dado))
				j2.setPosicion(j2.getPosicion() - 30);
			else
				j2.setPosicion(j2.getPosicion() + dado);
			
		}

	}
	
	public static boolean esPrimo(int n) {
		
		if (n <= 1)
		
			return false;

		else {

			int i;
			for(i = 2; i <= Math.sqrt(n); ++i) {

				if(n%i == 0)
					return false;

			}
		}
		
		return true;
		
	}
	
	public boolean gameOver() {
		
		if(j1.posicion < 100 && j2.posicion < 100)
			return false;
		
		return true;
		
	}

}